# pet.debian.org role
#
# @param db_address     hostname of the postgres server for this service
# @param db_port        port of the postgres server for this service
class roles::pet (
  String  $db_address = $roles::pet::params::db_address,
  Integer $db_port    = $roles::pet::params::db_port,
) inherits roles::pet::params {
  include apache2
  ssl::service { 'pet.debian.net': notify  => Exec['service apache2 reload'], key => true, }
  ssl::service { 'pet-devel.debian.net': notify  => Exec['service apache2 reload'], key => true, }

  @@postgres::cluster::hba_entry { "pet-${::fqdn}":
    tag      => "postgres::cluster::${db_port}::hba::${db_address}",
    pg_port  => $db_port,
    database => ['pet', 'pet-devel'],
    user     => 'pet',
    address  => $base::public_addresses,
  }
}
